> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thanks.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Track Order

> Return Summary of delivery status for the order.



## OpenAPI

````yaml get /orders/{orderId}/track
openapi: 3.1.0
info:
  title: thanks.io API
  description: >-
    Use the thanks.io API to send postcards, letters, notecards, windowless
    letters, and gift cards.
  contact:
    url: https://www.thanks.io
    email: support@thanks.io
  version: 1.0.0
servers:
  - url: https://api.thanks.io/api/v2
    description: The main API server for thanks.io
security:
  - bearerAuth: []
tags:
  - name: Recipients
  - name: Mailing Lists
  - name: Send Mailer
  - name: Orders
  - name: Message Templates
  - name: Image Templates
  - name: Handwriting Styles
  - name: Giftcards
  - name: Dynamic Images
    description: ''
  - name: Image Builder
  - name: Sub Accounts
externalDocs:
  description: Learn more about thanks.io
  url: https://docs.thanks.io
paths:
  /orders/{orderId}/track:
    get:
      tags:
        - Orders
      summary: Track Order
      description: Return Summary of delivery status for the order.
      parameters:
        - name: orderId
          in: path
          schema:
            type: string
          required: true
      responses:
        '200':
          description: OK
          headers:
            Content-Type:
              schema:
                type: string
                example: application/json
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 42708
                      order:
                        $ref: '#/components/schemas/order'
                      stats:
                        type: object
                        properties:
                          delivered:
                            type: integer
                            description: Number of items delivered
                            example: 0
                          processing:
                            type: integer
                            description: Number of items currently being processed
                            example: 0
                          printed:
                            type: integer
                            description: Number of items printed
                            example: 1
                          in_transit:
                            type: integer
                            description: Number of items in transit
                            example: 0
                          in_local_area:
                            type: integer
                            description: Number of items in the local delivery area
                            example: 0
                          processed_for_delivery:
                            type: integer
                            description: Number of items processed for delivery
                            example: 0
                          re_routed:
                            type: integer
                            description: Number of items re-routed
                            example: 0
                          returned_to_sender:
                            type: integer
                            description: Number of items returned to sender
                            example: 0
                          failed:
                            type: integer
                            description: Number of items that failed to be delivered
                            example: 0
                          scans:
                            type: integer
                            description: Number of times the item has been scanned
                            example: 0
                          multi_scans:
                            type: integer
                            description: >-
                              Number of times the item has been scanned multiple
                              times
                            example: 0
                      errors:
                        type: array
                        description: Array of recipients with errors
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            address:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            province:
                              type: string
                            postal_code:
                              type: string
                            country:
                              type: string
                            failure:
                              type: string
                        example:
                          - name: Current Resident
                            address: 1 Main Street
                            address2: ''
                            city: Fake City
                            province: FC
                            postal_code: '12345'
                            country: US
                            failure: >-
                              USPS lists address as 'no-stat' - address is
                              unlikely to receive mail.
                      returned:
                        type: array
                        description: Array of recipients whose mailers were returned
                        items:
                          type: object
                          properties:
                            name:
                              type: string
                            address:
                              type: string
                            address2:
                              type: string
                            city:
                              type: string
                            province:
                              type: string
                            postal_code:
                              type: string
                            country:
                              type: string
                        example:
                          - name: Current Resident
                            address: 1 Main Street
                            address2: ''
                            city: Fake City
                            province: FC
                            postal_code: '12345'
                            country: US
              example:
                data:
                  id: 42708
                  order:
                    sub_account_id: null
                    type: postcard
                    message: >-
                      Hey %FIRST_NAME%!,


                      THANK YOU for allowing us the opportunity to HELP you with
                      your plan!
                    style: 1
                    size: 4x6
                    front_image: >-
                      https://d2md0c8rpvzmz5.cloudfront.net/letter-backgrounds/bg0.png
                    high_quality_preview: ''
                    total_estimated_recipients: 2
                    authorization_total: 146
                    total_recipients: 1
                    grand_total: 73
                    status: Fulfilled
                    method: Campaign
                    created_at: '2025-09-08 16:05:12'
                    updated_at: '2025-09-08 16:06:08'
                  stats:
                    delivered: 0
                    processing: 0
                    printed: 1
                    in_transit: 0
                    in_local_area: 0
                    processed_for_delivery: 0
                    re_routed: 0
                    returned_to_sender: 0
                    failed: 0
                    scans: 0
                    multi_scans: 0
                  errors:
                    - name: Current Resident
                      address: 1 Main Street
                      address2: ''
                      city: Fake City
                      province: FC
                      postal_code: '12345'
                      country: US
                      failure: >-
                        USPS lists address as 'no-stat' - address is unlikely to
                        receive mail.
                  returned: []
components:
  schemas:
    order:
      type: object
      properties:
        id:
          type: integer
          example: 42708
        message:
          type: string
          example: >-
            Hey %FIRST_NAME%!,


            THANK YOU for allowing us the opportunity to HELP you with your
            plan!
        size:
          type: string
          description: Only valid for postcards
          example: 4x6
        sub_account_id:
          type:
            - integer
            - 'null'
          example: null
        type:
          type: string
          enum:
            - postcard
            - postcard6x11
            - letter
            - notecard
            - giftcard
            - windowlessletter
          example: postcard
        display_type:
          type: string
          example: Postcard-4x6
        style:
          type: integer
          description: Handwriting Style ID used for this order
          example: 1
        front_image:
          type: string
          example: https://d2md0c8rpvzmz5.cloudfront.net/letter-backgrounds/bg0.png
        high_quality_preview:
          type: string
          description: PDF of the high quality preview of the order
        authorization_total:
          type: integer
          example: 73
        grand_total:
          type: integer
          example: 73
        order_total:
          type: integer
          example: 73
        total_estimated_recipients:
          type: integer
          example: 1
        total_recipients:
          type: integer
          example: 1
        recipient_count:
          type: integer
          example: 1
        status:
          type: string
          example: Fulfilled
        method:
          type: string
          example: Campaign
        cancellable:
          type: boolean
          example: false
        total_scans:
          type: integer
          example: 0
        created_at:
          type: string
          format: date-time
          example: '2025-09-08T16:05:12.000000Z'
        updated_at:
          type: string
          format: date-time
          example: '2025-09-08T16:06:08.000000Z'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: Bearer token authentication using your thanks.io API key

````